Subject: Re: upgrading GIT from version 1.7.0.4 to 1.7.6.1.

From: Jakub Narebski <[email-masked]>
Date: Mon, 19 Sep 2011 05:55:02 -0700 (PDT)

Mikaël <[email-masked]> writes:

> Today, it is the time for us to upgrade from version 1.7.0.4 to
> 1.7.6.1 (the latest stable).  It is important for us to work with
> the latest version since it corrects defects that are very impacting
> for us.
> 
> The difficulty of this migration is that we can't afford migrations problems
> (in order to maintain productivity and work).
> 
> That is the reason why I have a couple of questions:
> 
> 1- Is it possible to have two GIT installations pointing on the same
> repositories? 
> 
> One of this installation would be GIT 1.7.6.1 used by a restricted number of
> people (these people could be called 'beta-testers' of the new GIT version).
> The other installation would be GIT 1.7.0.4 used by the other users (the
> majority of users) with no impact on their productivity.
> 
> Once the beta-tests will be finished and successful, all the users will move
> to GIT 1.7.6.1.

Git is forward and backward compatibile, meaning that old clients can
connect to new servers (perhaps not using new features), and new
clients can connect to old servers.

The exceptions are few (submodules, packed refs), are always announced
long in advance, with a long transition period: first a configuration
variable is added to switch to new incompatibile behavior defaulting
to old behavior, only after a time there is switch to new improved
incompatibile version.

-- 
Jakub Narębski